import { createElement, Component } from 'react';
import { ApvFilePicker as ApvFilePicker$1 } from '@appvitalinc/file-upload-widget-api-js';

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  subClass.__proto__ = superClass;
}

var ApvFilePicker = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(ApvFilePicker, _React$Component);

  function ApvFilePicker() {
    var _this;

    _this = _React$Component.apply(this, arguments) || this;
    _this.state = {
      apikey: '',
      options: {},
      customRender: null,
      onOpen: function onOpen() {},
      onClose: function onClose() {},
      onCancel: function onCancel() {},
      onUploadDone: function onUploadDone() {},
      onUploadStarted: function onUploadStarted() {},
      onUploadError: function onUploadError() {}
    };

    _this.componentDidMount = function () {
      _this.afpkr = new ApvFilePicker$1(_this.props.apikey);

      _this.setState(_extends({}, _this.props));
    };

    _this.onClickHandler = function () {
      _this.afpkr.open(_extends({}, _this.state.options, {
        onOpen: _this.state.onOpen,
        onClose: _this.state.onClose,
        onCancel: _this.state.onCancel,
        onUploadDone: _this.state.onUploadDone,
        onUploadStarted: _this.state.onUploadStarted,
        onUploadError: _this.state.onUploadError
      }));
    };

    _this.render = function () {
      var CustomRender = _this.props.customRender;

      if (CustomRender) {
        return createElement(CustomRender, {
          onClick: _this.onClickHandler
        });
      } else {
        return createElement("button", {
          onClick: _this.onClickHandler
        }, "Open file picker");
      }
    };

    return _this;
  }

  return ApvFilePicker;
}(Component);

export { ApvFilePicker };
//# sourceMappingURL=index.modern.js.map
