export interface ApvFilePickerOptions {
    multiple?: boolean;
    maxfiles?: number;
    outputfileoptions?: OutputfileOptions;
    inputfileoptions?: InputfileOptions;
}
export interface OutputfileOptions {
    width?: number;
    height?: number;
    resizetype?: string;
    resizeconflict?: string;
    backgroundcolor?: string;
    allowmarkup?: boolean;
    tags?: Array<{
        tagKey: string;
        tagvalue: string;
    }>;
    thumbnails?: ApvFilePickerThumbnails[];
    storage: Array<{
        name?: string;
        code: string;
        path: string;
    }>;
    watermark?: ApvFilePickerWatermark;
}
export interface InputfileOptions {
    sources?: string;
    allowedfileformats?: string;
    maxfilesize?: number;
    note?: string;
}
export interface ApvFilePickerFile {
    extension: string;
    fileName: string;
    size: string;
    source: string;
    type: string;
    uploadFailed: boolean;
    uploadId: null | string;
}
export interface ApvFilePickerResponse {
    files: ApvFilePickerFile[];
}
export interface ApvFilePickerWatermark {
    type: string;
    text?: string;
    font?: string;
    fontsize?: number;
    fontcolor?: string;
    url?: string;
    position?: string;
    margin?: number;
    opacity?: number;
    scale?: number;
    rotate?: number;
    repeat?: string;
}
export interface ApvFilePickerThumbnails {
    width?: number;
    height?: number;
    resizetype?: string;
    resizeconflict?: string;
    backgroundcolor?: string;
    fileformat?: string;
    filenamesuffix: string;
    watermark?: ApvFilePickerWatermark;
}
export interface ApvFilePickerProps {
    apikey: string;
    options?: ApvFilePickerOptions;
    customRender?: null | Function;
    onOpen?: Function;
    onClose?: Function;
    onCancel?: Function;
    onUploadDone?: Function;
    onUploadStarted?: Function;
    onUploadError?: Function;
}
